New install and Postgresql

9 months 3 weeks ago #320166 by amadorj23
New install and Postgresql was created by amadorj23
Assuming that it is not supported based on error message I am getting during install but not finding anything on site that confirms mysql requirement and just wanted to double check.

"Database driver 'pgsql' is not supported. Please use MySQLi instead."

Please Log in to join the conversation.

9 months 3 weeks ago #320182 by krileon
Replied by krileon on topic New install and Postgresql
For Joomla 3.x we use Joomlas database driver. Since Joomla supports PostgreSQL it should work fine. Where are you seeing that error? Sounds like a server configuration problem. See the below for Joomlas minimum requirements (note PostgreSQL minimum).

downloads.joomla.org/technical-requirements


Kyle (Krileon)
Community Builder Team Member
Before posting on forums: Read FAQ thoroughly + Read our Documentation + Search the forums
CB links: Documentation - Localization - CB Quickstart - CB Paid Subscriptions - Add-Ons - Forge
--
If you are a Professional, Developer, or CB Paid Subscriptions subscriber and have a support issue please always post in your respective support forums for best results!
--
If I've missed your support post with a delay of 3 days or greater and are a Professional, Developer, or CBSubs subscriber please send me a private message with your thread and will reply when possible!
--
Please note I am available Monday - Friday from 8:00 AM CST to 4:00 PM CST. I am away on weekends (Saturday and Sunday) and if I've missed your post on or before a weekend after business hours please wait for the next following business day (Monday) and will get to your issue as soon as possible, thank you.
--
My role here is to provide guidance and assistance. I cannot provide custom code for each custom requirement. Please do not inquire me about custom development.

Please Log in to join the conversation.

9 months 2 weeks ago #320245 by amadorj23
Replied by amadorj23 on topic New install and Postgresql
Setup the server myself so it is very possible there are some missing pieces on my end. But I have Ubuntu, PHP, PGSQL, APACHE2 all installed and working. I go to Extenstions -> Install from package -> Upload 001_pkg_communitybuilder_2.4.6+build.2020.08.25.20.48.37.dd91ffef7.zip and it reports Failed. When I look at the logs it give me

001_pkg_communitybuilder_2.4.6+build.2020.08.25.20.48.37.dd91ffef7.zip is being installed.
001_pkg_communitybuilder_2.4.6+build.2020.08.25.20.48.37.dd91ffef7.zip failed to install! hide
Database driver 'pgsql' is not supported. Please use MySQLi instead.
Extension Install: Custom install routine failure.
Installer is cleaning up.
Installer cleaned up successfully.

Please Log in to join the conversation.

9 months 2 weeks ago #320256 by krileon
Replied by krileon on topic New install and Postgresql
I've no idea what's outputting that error. That message doesn't exist anywhere that I can find except in Kunena, but I've no idea why that'd trigger during CBs install. Do you have Kunena installed? CB just uses Joomlas database driver. My guess is 3rd party extension is performing that check during installer events.


Kyle (Krileon)
Community Builder Team Member
Before posting on forums: Read FAQ thoroughly + Read our Documentation + Search the forums
CB links: Documentation - Localization - CB Quickstart - CB Paid Subscriptions - Add-Ons - Forge
--
If you are a Professional, Developer, or CB Paid Subscriptions subscriber and have a support issue please always post in your respective support forums for best results!
--
If I've missed your support post with a delay of 3 days or greater and are a Professional, Developer, or CBSubs subscriber please send me a private message with your thread and will reply when possible!
--
Please note I am available Monday - Friday from 8:00 AM CST to 4:00 PM CST. I am away on weekends (Saturday and Sunday) and if I've missed your post on or before a weekend after business hours please wait for the next following business day (Monday) and will get to your issue as soon as possible, thank you.
--
My role here is to provide guidance and assistance. I cannot provide custom code for each custom requirement. Please do not inquire me about custom development.

Please Log in to join the conversation.

9 months 2 weeks ago #320279 by amadorj23
Replied by amadorj23 on topic New install and Postgresql
The only thing I have installed is fresh install of Joomla and attempted to install your extension. I checked what Kunena is and no I do not have that installed unless is is part of Joomla fresh install. So I am guessing I would need to reach out to Joomla Dev Forum? I use Postgresql at work so I am trying to stick with it so I can learn more to hopefully help me at work as well.

Add pic of the message just in case it helps...
Attachments:

Please Log in to join the conversation.

9 months 2 weeks ago #320283 by krileon
Replied by krileon on topic New install and Postgresql
I don't know what more to suggest, sorry. We use Joomlas database driver to connect with and communicate with the database so if Joomla database interactions work then they should also work in CB. I can't even find that error anywhere in Joomla or CB so I don't know where it's even coming from. It's possible we've some queries that don't work in PostgreSQL as we don't have any specific implementations to support PostgreSQL, but that should throw an entirely different error.


Kyle (Krileon)
Community Builder Team Member
Before posting on forums: Read FAQ thoroughly + Read our Documentation + Search the forums
CB links: Documentation - Localization - CB Quickstart - CB Paid Subscriptions - Add-Ons - Forge
--
If you are a Professional, Developer, or CB Paid Subscriptions subscriber and have a support issue please always post in your respective support forums for best results!
--
If I've missed your support post with a delay of 3 days or greater and are a Professional, Developer, or CBSubs subscriber please send me a private message with your thread and will reply when possible!
--
Please note I am available Monday - Friday from 8:00 AM CST to 4:00 PM CST. I am away on weekends (Saturday and Sunday) and if I've missed your post on or before a weekend after business hours please wait for the next following business day (Monday) and will get to your issue as soon as possible, thank you.
--
My role here is to provide guidance and assistance. I cannot provide custom code for each custom requirement. Please do not inquire me about custom development.

Please Log in to join the conversation.

Moderators: beatnantkrileon
Time to create page: 0.432 seconds

Facebook Twitter LinkedIn